Package org.apache.calcite.avatica

## Class ColumnMetaData.ScalarType

- java.lang.Object
- - org.apache.calcite.avatica.ColumnMetaData.AvaticaType
  - - org.apache.calcite.avatica.ColumnMetaData.ScalarType

Enclosing class:
  ColumnMetaData

    public static class ColumnMetaData.ScalarType
    extends ColumnMetaData.AvaticaType

Scalar type.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`id, name, rep`

### Constructor Summary

Constructors
`ScalarType​(int id, java.lang.String name, ColumnMetaData.Rep rep)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ColumnMetaData.AvaticaType` `setRep​(ColumnMetaData.Rep rep)`

### Methods inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`columnClassName, equals, fromProto, getName, hashCode, toProto`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScalarType

    public ScalarType​(int id,
                      java.lang.String name,
                      ColumnMetaData.Rep rep)

### Method Detail

#### setRep

    public ColumnMetaData.AvaticaType setRep​(ColumnMetaData.Rep rep)

Overrides:
  `setRep` in class `ColumnMetaData.AvaticaType`